Bug 12152 - Holds to pull report should show library and itype description instead of their codes
Summary: Holds to pull report should show library and itype description instead of the...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-28 18:10 UTC by Katrin Fischer
Modified: 2017-06-14 22:10 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12152: Holds to pull report - Show branch names and item type descriptions (2.19 KB, patch)
2015-11-22 02:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12152: Holds to pull report - Show branch names and item type descriptions (2.34 KB, patch)
2015-11-23 23:54 UTC, David Cook
Details | Diff | Splinter Review
Bug 12152: Holds to pull report - Display location descriptions (1.57 KB, patch)
2015-11-25 16:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12152: Holds to pull report - Display location descriptions (1.64 KB, patch)
2015-11-25 22:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12152: Holds to pull report - Show branch names and item type descriptions (2.41 KB, patch)
2015-12-02 10:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12152: Holds to pull report - Display location descriptions (1.70 KB, patch)
2015-12-02 10:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-04-28 18:10:04 UTC
The holds to pull report shows the library code and itype codes instead of the descriptions.
Comment 1 Katrin Fischer 2014-11-10 00:11:01 UTC
Still valid.
Comment 2 Katrin Fischer 2015-07-23 11:20:46 UTC
... and still valid.
Comment 3 Magnus Enger 2015-10-07 12:14:59 UTC
Locations (authorized value LOC) also show the codes instead of descriptions.
Comment 4 Katrin Fischer 2015-11-22 02:41:07 UTC Comment hidden (obsolete)
Comment 5 David Cook 2015-11-23 23:54:35 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-11-25 16:41:49 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-11-25 22:45:48 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2015-12-02 10:33:05 UTC
Created attachment 45310 [details] [review]
Bug 12152: Holds to pull report - Show branch names and item type descriptions

The 'Holds to pull' report shows branch and itemtype codes without
this patch. With the patch, names and descriptions should display.

To test:
- Make sure there are some holds for available items in your system
- Go to Circulation > Holds to pull
- Verify changes mentioned above in the list of holds shown

Signed-off-by: David Cook <dcook@prosentient.com.au>

Works as described, although as Magnus mentioned, Locations
still use codes instead of descriptions.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2015-12-02 10:33:10 UTC
Created attachment 45311 [details] [review]
Bug 12152: Holds to pull report - Display location descriptions

...instead of their code

Test plan:
Same as before, confirm the the location codes are replaced with their
descriptions.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Kyle M Hall 2015-12-04 16:18:59 UTC
Patches pushed to master.

Thanks Katrin and Jonathan!
Comment 11 Julian Maurice 2015-12-07 10:40:48 UTC
Patches pushed to 3.22.x, will be in 3.22.1
Comment 12 Frédéric Demians 2015-12-07 13:14:14 UTC
This patch has been pushed to 3.20.x, will be in 3.20.7.
Comment 13 Liz Rea 2016-01-06 21:23:33 UTC
Pushed to 3.18.13, and released.
Comment 14 Sophie MEYNIEUX 2016-01-12 15:52:39 UTC
Replacement of code with name doesn't work for a list of codes.
See bug  15560